View Issue Details

IDProjectCategoryView StatusLast Update
0001118Main CAcert Websitesource codepublic2013-05-01 01:08
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2013 Q1 
Fixed in Version2013 Q1 
Summary0001118: Add new fields to the database
DescriptionThe following changeds to the database should be done:
TTP related:
Table notary add new enum to field methods "TTP-Assisted" to match the wording of the new TTP policy
OA related:
Table OrgEmailCerts add new field ou to hold the information for the ou seperatly.
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0000888 closedNEOatNHNG to add new assurance method TTP 
related to 0000484 closed Display OU on Certificate creation 

Activities

INOPIAE

2012-11-29 21:47

updater  

version2.sh (2,882 bytes)

INOPIAE

2012-11-29 21:49

updater   ~0003372

Last edited: 2012-11-29 22:03

View 2 revisions

I added the script to the Git hub https://github.com/INOPIAE/CAcert/tree/bug-1118

NEOatNHNG

2013-01-15 21:37

administrator   ~0003662

Script seems OK => ready for deployment

wytze

2013-01-17 14:45

developer   ~0003682

The patch has been installed on the production server on January 17, 2012. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2013-01/msg00001.html

After applying this patch, the new script 'version2.sh' has been executed with mysql root privileges in order to migrate the cacert database to the new version 2.

Issue History

Date Modified Username Field Change
2012-11-29 20:56 INOPIAE New Issue
2012-11-29 20:56 INOPIAE Assigned To => INOPIAE
2012-11-29 21:47 INOPIAE File Added: version2.sh
2012-11-29 21:49 INOPIAE Note Added: 0003372
2012-11-29 21:49 INOPIAE Assigned To INOPIAE => BenBE
2012-11-29 21:49 INOPIAE Status new => fix available
2012-11-29 22:01 INOPIAE Description Updated View Revisions
2012-11-29 22:03 INOPIAE Note Edited: 0003372 View Revisions
2012-11-29 22:15 INOPIAE Relationship added related to 0000888
2012-12-10 21:05 BenBE Source_changeset_attached => cacert-devel testserver 6301395b
2012-12-10 21:05 INOPIAE Source_changeset_attached => cacert-devel testserver 7cf8281e
2012-12-10 21:05 INOPIAE Source_changeset_attached => cacert-devel testserver 9f168db6
2012-12-11 22:40 BenBE Reviewed by => BenBE
2012-12-11 22:40 BenBE Status fix available => needs review & testing
2012-12-12 08:15 INOPIAE Assigned To BenBE => NEOatNHNG
2012-12-12 08:15 INOPIAE Status needs review & testing => needs review
2012-12-19 01:15 INOPIAE Description Updated View Revisions
2013-01-07 00:05 INOPIAE Relationship added related to 0000484
2013-01-15 21:37 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2013-01-15 21:37 NEOatNHNG Note Added: 0003662
2013-01-15 21:37 NEOatNHNG Status needs review => ready to deploy
2013-01-15 22:32 BenBE Product Version => 2013 Q1
2013-01-15 22:32 BenBE Fixed in Version => 2013 Q1
2013-01-15 23:17 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 9c95602d
2013-01-15 23:17 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 3b3841e9
2013-01-15 23:17 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable a491f867
2013-01-16 04:30 BenBE Source_changeset_attached => cacert-devel release 3441e989
2013-01-17 14:45 wytze Note Added: 0003682
2013-01-17 14:45 wytze Status ready to deploy => solved?
2013-01-17 14:45 wytze Resolution open => fixed
2013-05-01 01:08 INOPIAE Status solved? => closed